# Update existing Webhook subscription

PUT https://api.close.com/api/v1/webhook/{id}/
Content-Type: application/json

All parameters are optional. Only the parameters that are provided will be updated.

Parameters:
  - `url` - Destination URL for the webhook subscription
  - `events` - A list of events to subscribe to. Each event has an `object_type` and an `action` from values in the [event log](/resources/event-log/list-of-events/). You can also use [Webhook Filters](/resources/webhook-subscriptions/webhook-filters/) while creating your subscription so that an event only fires to a Webhook when certain conditions are met.
  - `status` - Subscription status
    - `active` - activate the subscription
    - `paused` - pause the subscription
  - `verify_ssl`
    - `false` - Disable SSL certificate validation on destination webhook URL. We recommend using https to protect your data during delivery.
    - `true` - Verify SSL certificate of destination webhook URL.

Reference: https://developer.close.com/api/resources/webhooks/update

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /webhook/{id}/:
    put:
      operationId: update
      summary: Update existing Webhook subscription
      description: >-
        All parameters are optional. Only the parameters that are provided will
        be updated.


        Parameters:
          - `url` - Destination URL for the webhook subscription
          - `events` - A list of events to subscribe to. Each event has an `object_type` and an `action` from values in the [event log](/resources/event-log/list-of-events/). You can also use [Webhook Filters](/resources/webhook-subscriptions/webhook-filters/) while creating your subscription so that an event only fires to a Webhook when certain conditions are met.
          - `status` - Subscription status
            - `active` - activate the subscription
            - `paused` - pause the subscription
          - `verify_ssl`
            - `false` - Disable SSL certificate validation on destination webhook URL. We recommend using https to protect your data during delivery.
            - `true` - Verify SSL certificate of destination webhook URL.
      tags:
        - subpackage_webhooks
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/webhooks_update_Response_200'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    webhooks_update_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: webhooks_update_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```